com.dlsc.flexgantt.model.paging

## Interface IPagingModelListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AbstractGanttChart, DualGanttChart, GanttChart, MacDualGanttChart, MacGanttChart, PagingControlPanel, PrintGanttChart, SimpleGranularityDualGanttChart, SimpleGranularityGanttChart, TreeTableContainer

      public interface IPagingModelListener
      extends EventListener

  A listener that can be attached to a paging model. Implementors will be informed about changes occuring in the observed paging model.
  Since:
    1.0
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    `IPagingModel.addPagingModelListener(IPagingModelListener)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pageChanged(PagingEvent evt)` Listener callback method that will be invoked after the page model was changed.
    `void` | `pageWillChange(PagingEvent evt)` Listener callback method that will be invoked before the page model gets changed.

- - ### Method Detail

    - #### pageWillChange

          void pageWillChange(PagingEvent evt)
                       throws PagingVetoException

      Listener callback method that will be invoked before the page model gets changed. Listeners are free to observe the change and to throw a veto exception if they can not permit the change to the model to continue.
      Parameters:
        `evt` - an event object that informs the listeners about the change that is about to happen
      Throws:
        `PagingVetoException` - if the listener objects to the change to the model
      Since:
        1.0

    - #### pageChanged

          void pageChanged(PagingEvent evt)

      Listener callback method that will be invoked after the page model was changed.
      Parameters:
        `evt` - an event object that informs the listeners about the change that has happened
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.